LGAMMA(3)

NAME
lgamma - log gamma function

SYNOPSIS
#include <math.h>

double lgamma(double x);

DESCRIPTION
The lgamma() function returns the log of the absolute value of the Gamma function. The sign of the Gamma function is returned in the external integer signgam.

For negative integer values of x, lgamma() returns HUGE_VAL and errno is set to ERANGE.

ERRORS

ERANGE
    Invalid argument - negative integer value of x.

CONFORMING TO
SVID 3, BSD 4.3

SEE ALSO
infnan(3)